import { DataManagementPlanWizardComponent } from './wizard/dmp-wizard.component';
import { DataManagementPlanEditorComponent } from './editor/dmp-editor.component';
import { DataManagementPlanListingComponent } from './listing/dmp-listing.component';
import { DatasetListingComponent } from '../datasets/listing/dataset-listing.component';
import { RouterModule, Routes } from '@angular/router';
import { InvitationAcceptedComponent } from '../shared/components/invitation-accepted/invitation-accepted.component';

export const DataManagementPlanRoutes: Routes = [
  {
    path: '',
    component: DataManagementPlanListingComponent,
    data: {
      breadcrumbs: ''
    }
  },
  {
    path: 'viewversions/:groupId',
    component: DataManagementPlanListingComponent,
    data: {
      breadcrumbs: 'group'
    }
  },
  {
    path: 'project/:projectId',
    component: DataManagementPlanListingComponent,
    data: {
      breadcrumbs: 'project'
    }
  },
  {
    path: 'edit/:id',
    component: DataManagementPlanEditorComponent,
    data: {
      breadcrumbs: 'edit'
    }
  },
  {
    path: 'new',
    component: DataManagementPlanEditorComponent,
    data: {
      breadcrumbs: 'new'
    }
  },
  {
    path: 'new_version/:id',
    component: DataManagementPlanWizardComponent,
    data: {
      clone: false,
      breadcrumbs: 'new version'
    }
  },
  {
    path: 'clone/:id',
    component: DataManagementPlanWizardComponent,
    data: {
      clone: true,
      breadcrumbs: 'clone'
    }
  },
  {
    path: "invitation/:id",
    component: InvitationAcceptedComponent,
    data: {
      breadcrumbs: 'ivitation'
    }
  }
];
